follow me on facebook follow me on Twitter follow me on YouTube  Concert Reviews - Photo Spreads - Tour News - Breaking News - Photo Gallery - Videos - Podcast Interviews - My Account
Band Encyclopedia - Live Music Venues - Press Releases - Music Blog Aggregator - Media Store - Staff & Contributors - Contact Us


Search

From The Artists Catalog

Band-opedia

[ Back | Home | Login ]

"Ringo Starr"   Bookmark and Share

Ringo Starr. (2009, January 20). In Wikipedia, The Free Encyclopedia. Retrieved 02:47, January 21, 2009, from http://en.wikipedia.org/w/index.php?title=Ringo_Starr&oldid=265370976

Richard Starkey MBE (born on 7 July 1940), better known by the stage name Ringo Starr, is an English musician, singer-songwriter and actor, best known as the drummer for The Beatles. Starr was the last to join The Beatles line up, replacing Pete Best,[1] and was the oldest member in the band.

Starr mainly served as a drummer for The Beatles, but also achieved success as a songwriter with the group for the songs "Don't Pass Me By" and "Octopus's Garden", served lead vocals on songs such as "Yellow Submarine", "With a Little Help from My Friends", "What Goes On", and "Good Night", and achieved success in his solo career, with songs such as "It Don't Come Easy", "Photograph" and "You're Sixteen".

Ringo Starr was born, as Richard Starkey, to Richard and Elise Starkey (née Gleave),[2] at 9 Madryn Street, Dingle, Liverpool.[3][4][5] Starr's parents split up when he was three years old; his mother,[6] Elsie Starkey, married Harry Graves,[7] whom Starr liked and who encouraged his interest in music.[8][9][6] His childhood was filled with long hospital stays, once in Heswall Children's Hospital in Wirral, where the air was cleaner than in Liverpool""an appendicitis-caused coma and a cold-turned-pleurisy were among his ailments""consequently, he fell far behind in school. After his last extended visit to hospital, beginning at age 13, he did not return to school.[10][11] His health problems had another enduring effect: allergies and sensitivities to food. When he travelled to India in 1968 with the other Beatles, he took his own food with him.[12]

Like the other Beatles, John Lennon, Paul McCartney and George Harrison, Richard (or Richie as he was known in those days)[13] eventually became caught up in Liverpool's skiffle craze. In 1957, Starr started his own group with Eddie Miles, which was originally named the "Eddie Miles Band," but evolved into "Eddie Clayton and the Clayton Squares;" "Clayton Square" was a local landmark and "Clayton" Eddie Miles' stage surname. Starr joined the Raving Texans in 1959, a quartet that backed singer Rory Storm.[14] During this time, he got the nickname Ringo, because of the rings he wore,[15] because it sounded 'cowboyish', and because the name Starr allowed his drum solos to be billed as 'Starr Time'.[16]

Starr originally met the Beatles in Hamburg, in October 1960, while he was performing with Rory Storm and the Hurricanes.[17] He also sat in for Pete Best on several occasions.[18] When the Beatles removed Pete Best as their drummer on 16 August 1962, Starr was their choice to replace him.[19]

Although Storm had mixed feelings about losing Starr,[20][21] Best's fans were upset, holding vigils outside Best's house and fighting at The Cavern Club, shouting 'Pete forever! Ringo never!'[21] Similarly, other fans yelled the contrary: "Ringo forever! Pete never!"

He filled the role he was hired for in 1962, then went on to establish a new approach to rhythm in popular music that some claim continues to grow in its significance and influence with every decade since The Beatles recorded their music.[22]

Starr generally sang at least one song on each studio album as part of establishing the vocal personality of all four members, a quality that is rarely seen in other bands. In some cases, Lennon or McCartney would write the lyrics and melody especially for him, as they did for "Yellow Submarine" from Revolver (1966) and "With A Little Help From My Friends" on Sgt. Pepper. Often these melodies would be tailored to Starr's baritone vocal range. Starr's backing vocals can be heard on songs such as "All Together Now", "Carry That Weight", and "The Continuing Story of Bungalow Bill". On the Beatles cover of "Shout", Ringo sang the part that went "a little bit louder now".

Lennon used Ringo's common original expressions, such as "A Hard Day's Night" and "Tomorrow Never Knows", and turned them into Beatles songs. Ringo occasionally contributed lyrics to unfinished Lennon and McCartney songs, such as the line "darning his socks in the night when there's nobody there" in "Eleanor Rigby".

Frustrated at times of being the odd-man out in the group in regard to songwriting, Starr commented in The Beatles Anthology that when he presented a song to The Beatles, it would often sound to the other three Beatles like another popular song, and Starr recognised the similarities when they were pointed out.

Starr did eventually begin composing, and is credited with "Don't Pass Me By" (on The White Album) and "Octopus's Garden" (on Abbey Road) as sole songwriter. His Beatles compositions were usually credited to his birth name, Starkey.

His disgust with the band's tensions and boredom at waiting around to contribute during the sessions for the White Album caused him to quit the group temporarily. This hiatus yielded the latter song, as he spent the fortnight with actor Peter Sellers on his yacht Amelfis in Piraeus where he wrote "Octopus's Garden". He did not return for two weeks, and the other Beatles urged him to come back: Lennon sent telegrams, and Harrison set up flowers all over the studio for Starr's return saying "Welcome home".[23] Starr's name also appears as a co-writer for the Rubber Soul track "What Goes On" along with Lennon and McCartney, while the songs "Flying" (on the Magical Mystery Tour album) and "Dig It" (on Let It Be) are listed as being written by the entire group. On issued material after the break-up, Starr wrote "Taking a Trip to Carolina" from the second "bonus" disc of Let It Be"¦ Naked, and received joint songwriting credits with the other three Beatles for "12-Bar Original", "Los Paranoias", "Christmas Time (Is Here Again)", "Suzy Parker" (heard in the Let It Be film), "Jessie's Dream" (heard in the Magical Mystery Tour film) and The Beatles' version of "Free as a Bird."

The Beatles asked Starr to join once they had something to offer that he did not have already: a record contract. Lennon said of Starr:

Drummer Steve Smith said:

Many drummers list Starr as an influence, including Dave Grohl of Nirvana/Foo Fighters, Orri Páll Dýrason of Sigur Rós,[26] Max Weinberg of the E Street Band, Danny Carey of Tool, Liberty DeVitto of Billy Joel's band, Nicko McBrain of Iron Maiden, Eric Carr of Kiss, Phil Rudd of AC/DC, Phil Collins, Mike Portnoy from Dream Theater and others.[27] According to Collins, "Starr is vastly underrated. The drum fills on the song "A Day in the Life" are very complex things. You could take a great drummer today and say, 'I want it like that.' He wouldn't know what to do."[28]

In his extensive survey of The Beatles' recording sessions, Mark Lewisohn confirmed that Starr was both proficient and remarkably reliable and consistent. According to Lewisohn, there were fewer than a dozen occasions in The Beatles' eight-year recording career where session 'breakdowns' were caused by Starr making a mistake, while the vast majority of takes were stopped owing to mistakes by the other three members.[27]

Starr is considered to have advanced various modern drumming techniques, such as the matched grip, placing the drums on high risers for visibility as part of the band, tuning the drums lower, and using muffling devices on tonal rings, along with his general contributions to The Beatles as a whole.[25] Specific drum parts executed by Starr in notably signature fashion include the fill that brings the drums and bass guitar into "Hey Jude", the steady rock beats in "Please Please Me" and other early Beatles recordings, the drum kit pattern through the bridge of "Hello Goodbye", the drums and hi-hat rolls on "Come Together", and the driving bass drum notes found in "Lady Madonna", underlying the more intricate, double-tracked snare drum. His use of a 'sizzle' cymbal (a cymbal incorporated with rivets that vibrate) would bring a much fuller sound than standard 'ride' cymbals. Starr comments that his best drumming is on the 1966 single B-side "Rain".

McCartney sent Starr a postcard on 31 January 1969 (the day after the band's performance on the roof of Apple Studios) stating: 'You are the greatest drummer in the world. Really.' This postcard is included in Starr's book Postcards From The Boys.[29]

Claims have been made that Starr, in fact, did not drum on many tracks for the group. Such claims have been refuted incontrovertibly, although there are five individual occasions where the drummer on a Beatles track is someone other than Starr. For the band's second recording session with Starr as a member on 11 September 1962, producer George Martin replaced the studio-inexperienced Starr with session drummer Andy White to record takes for what would be the two sides of the Beatles' first single, "Love Me Do" backed with "P.S. I Love You". Starr played tambourine on "Love Me Do" and maracas on "P.S. I Love You" for this date.[30] Initial pressings of the single used the 4 September recording with Starr on drums; subsequent pressings and the Please Please Me LP used the White sessions. McCartney took over the drums on "Back in the U.S.S.R." and "Dear Prudence" from the White Album (1968) after Starr had walked out. McCartney also played the drums on "Ballad of John and Yoko," recorded on 14 April 1969, since only Lennon and McCartney were immediately available to record the song.[31] Starr commented that he was lucky in being 'surrounded by three frustrated drummers' who could only drum in one style.[32]

Starr's non-musical contributions to the band were equally significant, especially in their early years of fame. A natural actor, he was the central character in the plots of both of the band's live action films (A Hard Day's Night and Help!), and in the animated Yellow Submarine (although he and the other Beatles did not actually perform the voice acting in Yellow Submarine). Starr's affable nature and sad, expressive face provided a strong counterpoint and complement to the other group member personalities. This same quality was an essential element in the group's celebrated wit and collective comic persona. He was later a calming, cohesive force when group tensions and conflicts arose. Lennon stated after the Beatles' split that Starr was the under-appreciated "soul" of the group. After the split, Starr remained close to each of the other three, all of whom went through periods of angry estrangement from each other. He has remained close to the former wives of his bandmates.

Starr married Maureen Cox on 11 February 1965, and they had three children, Zak, Jason, and Lee; the couple divorced in 1975, and Cox died in 1994. In 1980, on the set of the film Caveman, he met actress Barbara Bach, who played the role of Major Anya Amasova (female lead and main 'Bond girl') in The Spy Who Loved Me. They were married on 27 April 1981, just a few weeks after the release of Caveman.

His son, Zak Starkey, is also a highly respected and prolific drummer, who until August 2008 was a semi-official member and drummer in Oasis "" one of the many bands influenced by the Beatles. Starr arranged for Zak to receive drumming instruction from Zak's idol, The Who's late drummer Keith Moon, who was Zak's godfather and a close friend of Starr's. Zak also performs with The Who live and sometimes in studio. In 1985, Starr was the first of The Beatles to become a grandfather upon the birth of Zak's daughter, Tatia Jayne Starkey.[33] Zak has performed with his father in his All-Starr live versions. Starr became a grandfather again when Jason and his girlfriend, Flora Evans, had Louie Starkey, who was born in 1999, and Sonny Starkey, who was born in 2002. Starr resides in Los Angeles and owns homes in England and Monte Carlo.

Like fellow band mate Paul McCartney, Starr is a vegetarian, and was left-handed until he became ambidextrous as a kid when his grandmother helped him learn to write with his right hand like Starr mentioned from the 24 December 2007 issue of Time. Unlike Paul, who is vegetarian for ethical reasons, Starr is vegetarian because of stomach problems he had in the past. He is also a teetotaler, likely because of his former alchoholism.[34]

After the announcement of the breakup of The Beatles on 10 April 1970, Starr released two albums before the end of that year. Sentimental Journey featured Starr's renditions of many pre-rock standards and included the production talents of Quincy Jones, Maurice Gibb, George Martin and McCartney, among others. His next album, Beaucoups of Blues, put Starr in a country context, and included renowned Nashville session musician Pete Drake. He scored hit singles with "It Don't Come Easy" (1971) and "Back Off Boogaloo" (1972), the latter of which was his biggest UK hit, peaking at #2. He achieved two #1 hits in the US, with "Photograph" (co-written with Harrison) and "You're Sixteen" (written by the Sherman Brothers of Mary Poppins fame).

He participated in The Concert for Bangladesh organized by Harrison in 1971, as well as drumming on Harrison's All Things Must Pass and Living in the Material World, Lennon's John Lennon/Plastic Ono Band, and Yoko Ono's early solo work. Indeed, his song "Early 1970" (the B-side of "It Don't Come Easy") voiced a hope that he could remain friendly and play music with all three of his former Beatles band mates. Starr then made his debut as a film director with the T. Rex documentary Born to Boogie. Starr became firm friends with T. Rex frontman Marc Bolan and during the period of filming the documentary, Starr released the single "Back Off Boogaloo".[35]

Starr remains the only Beatle to have failed to top the UK singles charts as a solo artist, although he did chart two number one singles in the US. He is also the only Beatle to have failed to top the UK album listings, his highest position being #7, achieved in the UK with both Sentimental Journey and Ringo; the latter reached #2 in the US charts, giving Starr his highest album position there.

In 1971, he started a furniture company with designer Robin Cruikshank. Starr's own avant-garde designs included a flower-shaped table with adjustable petal seats and a donut-shaped fireplace.[36]

The 1973 album Ringo remains his biggest-selling record. Produced by Richard Perry with participation by the other three former Beatles on different tracks, Starr became the most commercially successful ex-Beatle at that time. The album Goodnight Vienna followed the next year and was also successful. Hits and notable tracks from these two albums included "Photograph" and "You're Sixteen" both reaching number one on the US charts, and "I'm The Greatest" (written by Lennon) from Ringo, and "Only You (And You Alone)" and "No No Song" from Goodnight Vienna. In late 1975 these singles and others were collected for Starr's first greatest hits compilation, Blast from Your Past, which was the last album to be released on Apple Records.[37] During this period, he became romantically involved with Lynsey de Paul and inspired her prophetic song "If I Don't Get You, the Next One Will". He played tambourine on a song that De Paul wrote and produced for Vera Lynn, called "Don't You Remember When".

Starr's recording career subsequently diminished in commercial impact, although he continued to record and remained a familiar celebrity presence. Starr signed with Atlantic Records in the mid 1970s, and in 1976 the album Ringo's Rotogravure was released. While it did feature a minor hit single, the album sold only fairly well. In fact, Rotogravure turned out to be Starr's last top 40 album in the US to date peaking at #28 on Billboard and the Single turned out to be the last top 40 single in the US in the 70"s "A Dose of Rock And Roll". This caused the label to revamp Starr's formula; the results were a curious blend of disco and '70s pop. The album Ringo the 4th (1977) was a commercial disaster, and Starr soon signed with Portrait Records. His stint with Portrait began on a promising note: 1978 saw the release of Bad Boy, as well as a network TV special. Neither were very popular, and Starr did not release another album with Portrait.[38]

In 1975, Starr founded his own record label called Ring O'Records, and four albums were released on the label between 1975 and 1978 (Startling Music by David Hentschel, Graham Bonnet by Graham Bonnet, Restless by Rab Noakes and a re-release of an Apple Records album, The Whale by John Tavener) as well as 16 singles by artists such as: Bobby Keys, Carl Grossman, Colonel Doug Bogie, David Hentschel, Graham Bonnet, Suzanne, Johnny Warman, Stormer, Rab Noakes and Dirk & Stig (the last being names of characters from The Beatles pastiche band "the Rutles", created by Eric Idle and Neil Innes).[39]

In 1980, Harrison wrote "All Those Years Ago" for Starr to sing on his album Can't Fight Lightning which was later released as Stop and Smell the Roses. Starr did the track but told Harrison that he was uncomfortable with it because of the lyric content and the vocal range. Harrison sang a re-written version himself, including it on his 1981 album Somewhere in England following Lennon's murder. Starr, along with Paul and Linda McCartney, played on Harrison's version. Starr was interviewed by Rolling Stone and Musician around this time. Stop and Smell the Roses was a well regarded album, but again did not sell particularly well. Lennon had offered Starr a pair of songs to use on Roses: "Nobody Told Me" and "Life Begins at 40". However, following the murder, Starr did not feel comfortable recording them; the former was released posthumously under Lennon's name on the album Milk and Honey, while the latter's painfully ironic lyrics kept it unissued until 1998's John Lennon Anthology.

After Lennon was murdered in 1980, Starr and his girlfriend Barbara Bach flew to New York City, to comfort Lennon's widow Yoko Ono.

Although Starr had regularly guested on Lennon's and Harrison's solo efforts, and had had all three of his ex-colleagues guest on various records of his own, it was not until 1982 that he first was asked by McCartney to participate in recording sessions (for the Tug of War album). As was evident with Harrison's "All Those Years Ago", Lennon's death had in fact led to a public showing of reconciliation between the remaining Beatles.

In 1990, Starr recorded a version of the song "I Call Your Name" for a television special marking the 10th anniversary of John Lennon's death and the 50th anniversary of his birth. The track, produced by Jeff Lynne, features a supergroup composed of Lynne, Tom Petty, Joe Walsh & Jim Keltner.

In 1985, he performed, with his son Zak Starkey, as part of Artists United Against Apartheid on the recording Sun City.

In 1987, Starr drummed on the George Harrison song "When We Was Fab" from his album Cloud Nine. Harrison had written the song with Jeff Lynne with the intent of making a modern song referencing the psychedelic Beatles era, ca. 1967. The song charted in the Top 30 in both the UK and the USA.

Subsequently, Starr served a short but well-publicised stint in a detox clinic for alcoholism.[40] During a 1998 interview on The Howard Stern Show, Starr complained that it was difficult to recover with the "press flying overhead" on a constant basis.[41] Later that year, Starr became a visible presence on the summer touring scene, organising a series of concert tours under the name 'Ringo Starr & His All-Starr Band', teaming with well-known musicians from various rock eras. The format of the concerts had Starr singing selections of his Beatles and solo songs, then each of the other musicians taking a turn to sing one of their songs with Starr behind the drums, then Starr singing a couple more, then another go around, and so on. In this way, Starr is relieved from having to carry the full burden of the show, and the audience gets to hear a variety of music. The ninth such All-Starr Band tour took place in 2006.

The success of the initial All-Starr tour led to Starr releasing his first album in nine years, 1992's Time Takes Time. It received substantial exposure and the track "Weight Of The World" got considerable airplay. Critics considered Time Takes Time Ringo's best recording since 1973's Ringo. The album was produced by four of the top producers in music: Phil Ramone, Don Was, Jeff Lynne and Peter Asher, and featured guest appearances by various stars including Brian Wilson and Harry Nilsson.

In 1997, Starr guested on drums on two songs on the Paul McCartney album Flaming Pie. McCartney had written a song about Starr's ex-wife Maureen Starkey ("Little Willow") and asked Starr if he'd play on another ("Beautiful Night"). On the day subsequent to the "Beautiful Night" session, the two recorded a jam session which developed into another song, "Really Love You", notable for being the first song ever credited to McCartney/Starkey and officially released on an album. (An earlier co-write called "Angel in Disguise" was cut from the album Time Takes Time, and a song on the Let It Be film soundtrack was also credited to the two.)

In 1998, he released two albums on the Mercury label. The studio album Vertical Man was well-received by critics and marked the beginning of a nine-year "partnership" with Mark Hudson, who produced the album and, with his band The Roundheads, formed the core of the backing group for the album. In addition, many "famous guests" joined on various tracks, including George Martin, Paul McCartney, and "* in his final appearance on a Ringo Starr album before his death "* George Harrison. Most of the songs were written by Starr and the band. The Roundheads and Joe Walsh joined Starr for his appearance on VH1 Storytellers, which was released as an album under the same name. On the show, he performed greatest hits and new songs, and told anecdotes relating to them.

In 2001 following Harrison's death of throat cancer on 29 November, he told MTV, Good Morning America, The Early Show, and The Today Show, among many others, that "We will miss George for his sense of humour."

In 2002 Starr was inducted into the Percussive Hall of Fame joining the elite group of percussive inductees, which includes Buddy Rich and William F. Ludwig, Sr. and his son.

On 29 November 2002, Starr performed "Photograph" and a cover of Carl Perkins' "Honey Don't" at the Concert for George held in the Royal Albert Hall, London, on the first anniversary of Harrison's death. According to the official website, "Ringo Starr caught everyone with a tear in their eye with a rendition of 'Photograph', a composition he wrote with George, which seemed to sum up how everyone felt." The song includes the lines, "Every time I see your face / it reminds me of the places we used to go / But all I've got is a photograph / and I realize you're not coming back anymore".[42]

Most recently, Starr featured on the Jerry Lee Lewis 2006 duet album, Last Man Standing; he performed a cover, with Lewis, of Chuck Berry's "Sweet Little Sixteen".[43]

In June 2007 the newest studio album by Ringo Starr was expected, produced by Dave Stewart, Mark Hudson and Starr himself, and titled Liverpool 8. However, the release was pushed back to the beginning of 2008; the album was officially released in Europe in the second week of January, 2008. Mark Hudson was the initial producer of the record but was replaced by Stewart after a falling out with Starr. (The album's production credits read, "Produced by Ringo Starr and Mark Hudson; Re-Produced by Ringo Starr and David Stewart." All of the songs but one were written with members of the Roundheads, although Stewart also has several co-writing credits.) Starr's attorney Bruce Grakal told journalist Peter Palmiere that the partnership between Hudson and Starr was over and they would never work together again. This happened after Hudson dropped out of the 2006 tour as musical director to do the TV show "The One: Making A Music Star". According to Palmiere, Hudson now claims that the split was over Starr's insistence on using synthesized sounds, for which Stewart is known, whereas Hudson wanted real guitars, pianos, strings etc.[44] However, about the parting with Hudson, Starr said (in response to Palmiere's report), "The separation between Mark Hudson and myself was a question of trust and friendship and had nothing to do with synthesizers."

On 11 January 2008, Ringo Starr played to a crowd of over 25,000 people on top of St George's Hall, Liverpool to start off Liverpool's European Capital of Culture year at 8 minutes past 8 (20:08). He performed a bit of drumming to start with, with some of the guitarists, and then later performed a new song from his album Liverpool 8 with Dave Stewart. The following day, Starr performed at the new Echo Arena at King's Dock, Liverpool, in the show Liverpool - The Musical.

On 25 January 2008, Starr appeared on The Late Late Show with Craig Ferguson. He was the only guest on the show and performed four songs "" "Photograph", "Liverpool 8", "Boys", and "With a Little Help From My Friends".

In September 2005, Liverpool City Council decided they would bulldoze Starr's birthplace as it had 'no historical significance',[45] despite a previous reprieve back in July.[46] The LCC later announced that the building would be taken apart brick by brick and preserved after all.[47] As of November 2007 the LCC did not yet have planning permission for their demolition plans.[48]

On 26 June 2007, Starr appeared on CNN's Larry King Live along with McCartney, Yoko Ono Lennon, Olivia Harrison, and Guy Laliberté (Founder of Cirque du Soleil). They promoted the "Revolution" Lounge at "The Mirage" in Las Vegas, Nevada, and commemorated the one year anniversary of Cirque du Soleil's "Love". The special was live from The Mirage Hotel & Casino in Las Vegas. At one point, Larry King called Starr George, to which McCartney replied "This is Ringo, not George."

In the 24 December 2007 issue of Time (European edition), Starr was profiled in a three-page article focusing on his happiness in life and his music. The article mentioned the Liverpool 8 album, but only briefly. It also stated that Starr and Dave Stewart are collaborating on writing a musical, to be called The Hole in the Fence, and discussed Starr's then-upcoming performance in Liverpool on 11 January 2008.[49]

In October 2008, Starr posted a video on his website stating that he will not be signing any more autographs after 20 October 2008. He stated that he is too busy and that anything after that date sent to any address will not be signed.[50] After much bad publicity surrounding this incident the link to the video was removed from Starr's site but the video itself has not been removed and is still viewable from direct links.

In November of 2008 Ringo attended the World Music Awards to receive the Diamond award on behalf of the Beatles.

Aside from The Beatles films (A Hard Day's Night (1964), Help! (1965), Magical Mystery Tour (1967), Let It Be (1970)), Ringo Starr has acted in several films such as Candy (1968), The Magic Christian (1969) (alongside Peter Sellers), Blindman (1971), Son of Dracula (1974) and Caveman (1981). For the 1979 documentary film on the Who, The Kids Are Alright, Starr appeared in interview segments with fellow drummer Keith Moon. He starred as Larry the Dwarf in Frank Zappa's 200 Motels (1971). His voice is also featured in Harry Nilsson's animated film The Point! (1971). He appeared in The Last Waltz, the Martin Scorsese film about the 1976 farewell concert of The Band, a favourite of the Beatles. He co-starred in That'll Be the Day (1973) as a Teddy Boy.[51] He played 'The Pope' in Ken Russell's Lisztomania (1975),[52] and a fictionalized version of himself in the Paul McCartney penned Give My Regards to Broad Street in 1984.[53]

In 1985, Starr played the Mock Turtle in the film version of Alice in Wonderland.[54]

In 1971, Starr played the father, and narrated the animated movie The Point! with songs written and sung by his good friend Harry Nilsson.

In 1972, Starr appeared briefly on Monty Python's Flying Circus as a guest star on the It's man Show in Episode 28. However, Starr did not say anything as the inner show ended when the It man said "It's...", a phrase used in many of the TV show's episodes.

Also in 1984, Ringo appeared on Saturday Night Live as a Jefferson-watching, plastic-bubble-wrapping Beatles artifact. When asked what he wanted from the kitchen his line was, "Peach Melba, please."

In 1984, Starr narrated the children's television series Thomas the Tank Engine & Friends. He was unsure about taking the role at first, having never previously read the books by Reverend Awdry, and at the time he felt that children would be more interested in "dinosaurs with lasers." Nevertheless, he had a change of heart and took the role, narrating the first two series. Starr also portrayed the character Mr. Conductor in the program's American spin-off Shining Time Station, which debuted in 1989.

In 1989, he appeared with his daughter Lee in a US television commercial for Oldsmobile, in which he narrated the first line of automaker's new jingle (to his daughter), "This is not your father's Oldsmobile!".[55]

In 1991, Starr appeared as himself in an episode of the animated comedy programme The Simpsons, titled "Brush with Greatness". He was the first Beatle to appear on the show. (Harrison and McCartney lent their voices to the series in later episodes.) In the same year Starr recorded the song "You'll Never Know", which was played over the end credits in the James Belushi motion picture Curly Sue.[56]

In 1993, Ringo filmed a documentary for the Disney Channel entitled "Ringo Starr: Coming Home". The 90 minute special featured Starr revisiting his hometown of Liverpool and reminiscing about the early days of The Beatles, while also featuring current concert footage of Ringo's All Starr Band. The TV special came on the heels of Ringo's first album release in 10 years, Time Takes Time, and therefore included clips of nearly all of the album's songs.

In 1995, Starr painted the design for the first card for Discover Card's Private Issue series of credit cards, and appeared in the commercials for the card until the second design came out.

In 1996, Starr appeared in a Japanese advertisement for apple juice; 'ringo' is Japanese for 'apple'. In the mid-1990s, Starr appeared in an advertisement for Pizza Hut, pronouncing that the time is ripe for 'the lads' to get back together. At the commercial's pay-off, he is joined by three members of the Monkees (Micky Dolenz, Peter Tork and Davy Jones) and quips to the camera, "Wrong lads."[57]

In 2000, he appeared in the first of the "Smart Investor" TV commercials for Charles Schwab Brokerage. In the commercial, Starr is trying to help a group of young songwriters come up with a rhyme for "elation". Starr suggests such financial investment terms as "dividend reinvestment participation", "market capitalization", "European market fluctuation" and "asset allocation", as an instrumental version of the song Money, recorded by The Beatles, plays in the background. At the commercial's pay-off, he looks at the confused songwriters and says, "What? Too many syllables?"[58]

In 2001, Starr voiced the Duck brothers in the cartoon show Courage the Cowardly Dog.

In January 2008, Starr appeared on Friday Night with Jonathan Ross where he appeared to make disparaging comments about his hometown of Liverpool. When asked by Ross if he missed anything about the city, he laughed, eventually replying in the negative. This was greeted with disappointment by many residents, and deemed hypocritical in light of his appearance in the European Capital of Culture celebrations.

In 2009 Starr appeared in a series of adverts publicising the change of name of insurance company Norwich Union to Aviva. Ringo questioned whether he would have been as successful without changing his name.

In December 2006, Times columnist Daniel Finkelstein started a campaign to get Ringo Starr knighted in a petition to the Prime Minister,[59] joining fellow ex-Beatle Paul McCartney with the honour of being knighted. The petition has been met with widespread press coverage from The Sun[60] newspaper and the Canadian National Post[61] and has received 1,887 signatures.[62] Starr himself has clearly stated both that he does not particularly support the Royal Family ("I think it should end with this queen. I think we can have the pageant without...them. I think they should have built a hospital in the name of the Queen Mum, but they didn"t, they just decided not to pay taxes and keep their money."[63]), and that he is not personally interested in being knighted:

On 12 June 1965, Starr and the three other Beatles were appointed Members of the Order of the British Empire (MBE); they received their insignia from Queen Elizabeth II at an investiture at Buckingham Palace on 26 October.

The Beatles won the Academy Award for Best Original Song Score for 1970 for the film Let It Be. Each Beatle received an Oscar.

The minor planet 4150 Starr, discovered on 31 August 1984 by BA Skiff at the Anderson Mesa Station of the Lowell Observatory, was named in his honour.[64]

All four of The Beatles were elected to the Rock and Roll Hall of Fame when the group was inducted in 1988.[65] Since then, Lennon (1994), McCartney (1999), and Harrison (2004) have been inducted for their solo careers as well. Starr remains the only Beatle not to be inducted into the Rock and Roll Hall of Fame for his solo career.

However, it was announced on 5 September 2007 that Ringo Starr will be on the ballot for membership in the Rock and Roll Hall of Fame as a solo artist.[66]

During the 50th Grammy Awards, Starr, George Martin and Giles Martin accepted the Best Compilation Soundtrack award for Love.

On behalf of the Beatles, Ringo Starr won a Diamond Award during the 2008 World Music Awards ceremony in Monaco on November 9, 2008.

To date, Starr has toured with ten versions of his All-Starr Band, where "everybody on stage is a star in their own right."[67] The band has consistently toured for over a decade, and, in similar fashion to Bill Wyman's Rhythm Kings, rotates its lineup depending on the musicians' projects at a given time.

Ringo Starr. (2009, January 20). In Wikipedia, The Free Encyclopedia. Retrieved 02:47, January 21, 2009, from http://en.wikipedia.org/w/index.php?title=Ringo_Starr&oldid=265370976

This article has been read 13600 times.

[ Back | Top | Home | Login ]

Search

Video Gallery
Jesse Sublett - The Ballad of Jean Harris


Photo Gallery
Click Here to Post!!!


Pepper at Stubb's BarBQ, Austin, Te...


Concert Reviews

  - Concert Review Primus at...
  - Slayer thrashes Austins ...
  - Hanging out with Slayer ...
  - Austin City Limits Live ...
  - Weezers Two Night Stand ...
  - Primus at Stubbs BarBQ A...
  - Sanctum Sully at Pisgah ...
  - The Moody Blues at ACL L...
  - Interpol at the Austin M...
  - Rise Against at Stubbs B...
  - Gogol Bordello at Stubbs...
  - Coheed and Cambria at St...
  - Guster at Stubbs BarBQ A...
  - Scissor Sisters at Stubb...
  - Cold War Kids at Stubbs ...
  - Styx at ACL Live at the ...
  - Tokyo Police Club at La ...
  - Suicidal Tendencies at W...
  - Black Crowes Massey Hal...
  - Freak Show Festival with...
  - American Carnage tears t...
  - More...


Photo Spreads

  - Suicidal Tendencies at A...
  - Exodus at ACL Live
  - Slayer at Auditorium Sho...
  - They Might Be Giants at ...
  - Counting Crows at Stubbs...
  - Steel Panther Sound Aca...
  - Buffy Sainte Marie Toro...
  - James Durbin at Stubbs B...
  - Evanescense at Stubbs Ba...
  - Sleigh Bells Phoenix Co...
  - Todd Rundgren at La Zona...
  - Arctic Monkeys Air Cana...
  - Lacuna Coil at ACL Live ...
  - Megadeth at ACL Live at ...
  - Gladys Knight at ACL Liv...
  - Earth Wind and Fire at A...
  - Polyphonic Spree at La Z...
  - The Fray The Opera Hous...
  - Willie Nelsons New Years...
  - Better Than Ezra at ACL ...
  - Nick Lowe at ACL Live at...
  - More...


Tour News

  - The Sword Announces New ...
  - As I Lay Dying Celebrate...
  - Shonen Knife launches No...
  - Pianos Become Teeth Tour...
  - Testament Tours In Suppo...
  - Thrust Management Tour S...
  - Five Finger Death Punch ...
  - Seahaven Tour Dates for ...
  - Fearless Friends Tours i...
  - Textures and The Contort...
  - Pentimento Kicks Off Pen...
  - Plug In Stereo Announces...
  - Moving Mountains Announc...
  - Star City Meltdown Annou...
  - Miss May Is No Guts No G...
  - Hawthorne Heights Announ...
  - Drive A Plays In Rock Al...
  - MADBALL tours next week
  - Five Finger Death Punch ...
  - Hostage Calm Tours with ...
  - Pentimento Starts Northe...
  - More...


Podcasts

  - Podcast Slayers Kerry Ki...
  - Podcast Interview with J...
  - Podcast Interview with J...
  - Podcast SXSW Artist Spot...
  - Podcast SXSW Artist Spot...
  - Podcast Interview with A...
  - Podcast SXSW Artist Spot...
  - Podcast Interview with V...
  - Videocast The Undergrou...
  - Podcast Interview with L...
  - Podcast NXNE Artist Spot...
  - Podcast NXNE Artist Spot...
  - Podcast NXNE Artist Spot...
  - Podcast Interview with C...
  - Podcast SXSW Artist Spot...
  - Podcast SXSW Artist Spot...
  - Podcast SXSW Artist Spot...
  - Podcast SXSW Artist Spot...
  - Podcast SXSW Artist Spot...
  - Podcast SXSW Artist Spot...
  - Podcast SXSW Artist Spot...
  - More...


Sponsors